Index: stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/Allele.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/Allele.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/Allele.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("Allele", "Represents an allele of a solution which is used for allele analysis.")]
-  [StorableClass]
+  [StorableType("27AE2AD2-D4A3-4187-A773-CDA518B8B28A")]
   public class Allele : Item {
     private string id;
@@ -55,5 +55,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected Allele(bool deserializing) : base(deserializing) { }
+    protected Allele(StorableConstructorFlag _) : base(_) { }
     protected Allele(Allele original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequency.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequency.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequency.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("AlleleFrequency", "Represents the frequency of an allele.")]
-  [StorableClass]
+  [StorableType("9769F3D4-9207-4CDC-B473-8C18301EF418")]
   public class AlleleFrequency : Item {
     private string id;
@@ -91,5 +91,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected AlleleFrequency(bool deserializing) : base(deserializing) { }
+    protected AlleleFrequency(StorableConstructorFlag _) : base(_) { }
     protected AlleleFrequency(AlleleFrequency original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,5 +29,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("AlleleFrequencyAnalyzer", "An operator for analyzing the frequency of alleles.")]
-  [StorableClass]
+  [StorableType("FB4ABEB4-E94E-4B79-9356-8AC48D8F77BE")]
   public abstract class AlleleFrequencyAnalyzer<T> : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator where T : class, IItem {
     public virtual bool EnabledByDefault {
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected AlleleFrequencyAnalyzer(bool deserializing) : base(deserializing) { }
+    protected AlleleFrequencyAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected AlleleFrequencyAnalyzer(AlleleFrequencyAnalyzer<T> original, Cloner cloner) : base(original, cloner) { }
     public AlleleFrequencyAnalyzer()
Index: stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("AlleleFrequencyCollection", "Represents a collection of allele frequencies.")]
-  [StorableClass]
+  [StorableType("7BDABB5B-1FA0-4592-8C06-399DBEABB1CB")]
   public class AlleleFrequencyCollection : ReadOnlyItemCollection<AlleleFrequency> {
     public static new Image StaticItemImage {
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected AlleleFrequencyCollection(bool deserializing) : base(deserializing) { }
+    protected AlleleFrequencyCollection(StorableConstructorFlag _) : base(_) { }
     protected AlleleFrequencyCollection(AlleleFrequencyCollection original, Cloner cloner) : base(original, cloner) { }
     public AlleleFrequencyCollection() : base() { }
Index: stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("AlleleFrequencyCollectionHistory", "Represents history values of allele frequencies collections.")]
-  [StorableClass]
+  [StorableType("4474E8A9-AA2C-4FED-A906-535DC2AC44A3")]
   public class AlleleFrequencyCollectionHistory : ItemCollection<AlleleFrequencyCollection> {
     public static new Image StaticItemImage {
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected AlleleFrequencyCollectionHistory(bool deserializing) : base(deserializing) { }
+    protected AlleleFrequencyCollectionHistory(StorableConstructorFlag _) : base(_) { }
     protected AlleleFrequencyCollectionHistory(AlleleFrequencyCollectionHistory original, Cloner cloner) : base(original, cloner) { }
     public AlleleFrequencyCollectionHistory() : base() { }
Index: stable/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,5 +29,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("BestScopeSolutionAnalyzer", "An operator that extracts the scope containing the best quality.")]
-  [StorableClass]
+  [StorableType("2E8C2770-B591-4F77-BF1D-E4DB218A2282")]
   public class BestScopeSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
 
@@ -65,5 +65,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected BestScopeSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    protected BestScopeSolutionAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected BestScopeSolutionAnalyzer(BestScopeSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("DataRow", "A row of data values.")]
-  [StorableClass]
+  [StorableType("34A66F23-0FBB-414C-81C8-D3AA1C470446")]
   public class DataRow : NamedItem , IDataRow {
     private DataRowVisualProperties visualProperties;
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected DataRow(bool deserializing) : base(deserializing) { }
+    protected DataRow(StorableConstructorFlag _) : base(_) { }
     protected DataRow(DataRow original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using System.Drawing;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -30,7 +30,8 @@
   /// Visual properties of a DataRow.
   /// </summary>
-  [StorableClass]
+  [StorableType("3B28F24F-5CA7-40C2-A81C-65FCAF5B2C66")]
   public class DataRowVisualProperties : DeepCloneable, INotifyPropertyChanged {
     #region ChartType
+    [StorableType("488A018F-AF79-4B60-989A-845EF24F4A01")]
     public enum DataRowChartType {
       Line,
@@ -41,6 +42,8 @@
       StepLine
     }
+
     #endregion
     #region LineStyle
+    [StorableType("A064C2CE-D2CC-4292-B5FC-8DDCFA55C896")]
     public enum DataRowLineStyle {
       Dash,
@@ -233,5 +236,5 @@
 
     [StorableConstructor]
-    protected DataRowVisualProperties(bool deserializing) : base() { }
+    protected DataRowVisualProperties(StorableConstructorFlag _) { }
     protected DataRowVisualProperties(DataRowVisualProperties original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,5 +29,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("DataTable", "A table of data values.")]
-  [StorableClass]
+  [StorableType("3DD78514-DBCE-4B2A-83B9-847FC67C264D")]
   public class DataTable : NamedItem, IStringConvertibleMatrix, IDataTable<DataRow> {
     public static new Image StaticItemImage {
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    protected DataTable(bool deserializing) : base(deserializing) { }
+    protected DataTable(StorableConstructorFlag _) : base(_) { }
     protected DataTable(DataTable original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("DataTableHistory", "Represents history values of data tables.")]
-  [StorableClass]
+  [StorableType("5ECB8C15-4724-4B9A-B667-055CC2FD713A")]
   public class DataTableHistory : ItemCollection<DataTable> {
     public static new Image StaticItemImage {
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected DataTableHistory(bool deserializing) : base(deserializing) { }
+    protected DataTableHistory(StorableConstructorFlag _) : base(_) { }
     protected DataTableHistory(DataTableHistory original, Cloner cloner) : base(original, cloner) { }
     public DataTableHistory() : base() { }
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("DataTableValuesCollector", "An operator which collects the actual values of parameters and adds them to a table of data values.")]
-  [StorableClass]
+  [StorableType("B3409421-D7F0-4C79-B8F8-B7E77E7C554F")]
   public class DataTableValuesCollector : ValuesCollector {
     public ValueLookupParameter<DataTable> DataTableParameter {
@@ -50,5 +50,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected DataTableValuesCollector(bool deserializing) : base(deserializing) { }
+    protected DataTableValuesCollector(StorableConstructorFlag _) : base(_) { }
     protected DataTableValuesCollector(DataTableValuesCollector original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,9 +20,8 @@
 #endregion
 
-using System;
 using System.ComponentModel;
 using System.Drawing;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -30,8 +29,9 @@
   /// Visual properties of a DataTable.
   /// </summary>
-  [StorableClass]
+  [StorableType("CA654495-8671-499A-B990-0E67E589B906")]
   public class DataTableVisualProperties : DeepCloneable, INotifyPropertyChanged {
 
     #region Histogram Aggregation
+    [StorableType("323A07AD-207C-4D45-B7EC-4E3E48F1E5C6")]
     public enum DataTableHistogramAggregation {
       Overlapping,
@@ -562,5 +562,5 @@
 
     [StorableConstructor]
-    protected DataTableVisualProperties(bool deserializing) : base() { }
+    protected DataTableVisualProperties(StorableConstructorFlag _) { }
     protected DataTableVisualProperties(DataTableVisualProperties original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/GanttData.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/GanttData.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/GanttData.cs	(revision 17097)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,9 +29,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("Gantt Data", "Data of a Gantt visualization")]
-  [StorableClass]
+  [StorableType("5EF715EE-23B7-416D-85D0-28C61F81C55D")]
   public class GanttData : NamedItem {
 
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected GanttData(bool deserializing) : base(deserializing) {}
+    protected GanttData(StorableConstructorFlag _) : base(_) { }
     protected GanttData(GanttData original, Cloner cloner)
       : base(original, cloner) {
@@ -70,5 +70,5 @@
 
   [Item("Gantt Row", "Row of a Gantt chart")]
-  [StorableClass]
+  [StorableType("DDAA9C4C-CE19-4E0D-9AB2-02F8CDF2B8D4")]
   public class GanttRow : NamedItem {
     [Storable]
@@ -77,5 +77,5 @@
 
     [StorableConstructor]
-    protected GanttRow(bool deserializing) : base(deserializing) {}
+    protected GanttRow(StorableConstructorFlag _) : base(_) { }
     protected GanttRow(GanttRow original, Cloner cloner)
       : base(original, cloner) {
@@ -99,5 +99,5 @@
 
   [Item("Gantt Item", "Item of a Gantt chart row")]
-  [StorableClass]
+  [StorableType("E2CEFEAE-AEA4-4F1D-94D5-D7AA784982F5")]
   public class GanttItem : Item, INotifyPropertyChanged {
 
@@ -158,5 +158,5 @@
 
     [StorableConstructor]
-    protected GanttItem(bool deserializing) : base(deserializing) { }
+    protected GanttItem(StorableConstructorFlag _) : base(_) { }
     protected GanttItem(GanttItem original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("HeatMap", "Represents a heat map of double values.")]
-  [StorableClass]
+  [StorableType("863005CD-A281-4A42-AF58-6F0BD0988C79")]
   public class HeatMap : DoubleMatrix {
     public static new Image StaticItemImage {
@@ -88,5 +88,5 @@
 
     [StorableConstructor]
-    protected HeatMap(bool deserializing) : base(deserializing) { }
+    protected HeatMap(StorableConstructorFlag _) : base(_) { }
     protected HeatMap(HeatMap original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("HeatMapHistory", "Represents history values of heat maps.")]
-  [StorableClass]
+  [StorableType("7E282E3E-673B-4D98-AB51-48DE22E50E43")]
   public class HeatMapHistory : ItemCollection<HeatMap> {
     public static new Image StaticItemImage {
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected HeatMapHistory(bool deserializing) : base(deserializing) { }
+    protected HeatMapHistory(StorableConstructorFlag _) : base(_) { }
     protected HeatMapHistory(HeatMapHistory original, Cloner cloner) : base(original, cloner) { }
     public HeatMapHistory() : base() { }
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataRow.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataRow.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataRow.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("IndexedDataRow", "A data row that contains a series of points.")]
-  [StorableClass]
+  [StorableType("0B0BB900-4C30-4485-82C2-C9E633110685")]
   public class IndexedDataRow<T> : NamedItem, IDataRow {
 
@@ -81,5 +81,5 @@
 
     [StorableConstructor]
-    protected IndexedDataRow(bool deserializing) : base(deserializing) { }
+    protected IndexedDataRow(StorableConstructorFlag _) : base(_) { }
     protected IndexedDataRow(IndexedDataRow<T> original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataTable.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataTable.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/IndexedDataTable.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,9 +29,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("IndexedDataTable", "A data table where the points are also given with a certain index.")]
-  [StorableClass]
+  [StorableType("1453C842-6312-4931-9B05-20399A0528D6")]
   public class IndexedDataTable<T> : NamedItem, IStringConvertibleMatrix, IDataTable<IndexedDataRow<T>> {
     public static new Image StaticItemImage {
@@ -75,5 +75,5 @@
 
     [StorableConstructor]
-    protected IndexedDataTable(bool deserializing) : base(deserializing) { }
+    protected IndexedDataTable(StorableConstructorFlag _) : base(_) { }
     protected IndexedDataTable(IndexedDataTable<T> original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/Interfaces/IDataRow.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/Interfaces/IDataRow.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/Interfaces/IDataRow.cs	(revision 17097)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
+  [StorableType("9D660768-24A2-4C74-9434-42FDB3AA3ED2")]
   public interface IDataRow : INamedItem {
     DataRowVisualProperties VisualProperties { get; set; }
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/Interfaces/IDataTable.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/Interfaces/IDataTable.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/Interfaces/IDataTable.cs	(revision 17097)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
+  [StorableType("DB6B8542-8A0D-43C1-B5EE-C4D2E8983CDF")]
   public interface IDataTable<TDataRow> : INamedItem where TDataRow : class, IDataRow {
     DataTableVisualProperties VisualProperties { get; set; }
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,9 +29,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("ScatterPlot", "A scatter plot of 2D data")]
-  [StorableClass]
+  [StorableType("9706C8CB-4118-400B-9AE2-A4F00D7580B5")]
   public class ScatterPlot : NamedItem, IStringConvertibleMatrix {
     public static new Image StaticItemImage {
@@ -80,5 +80,5 @@
 
     [StorableConstructor]
-    protected ScatterPlot(bool deserializing) : base(deserializing) { }
+    protected ScatterPlot(StorableConstructorFlag _) : base(_) { }
     protected ScatterPlot(ScatterPlot original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("ScatterPlotDataRow", "A row of data values for a scatter plot.")]
-  [StorableClass]
+  [StorableType("29A84519-5AB7-400F-BDD2-6B497B459B4D")]
   public class ScatterPlotDataRow : NamedItem {
     private ScatterPlotDataRowVisualProperties visualProperties;
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotDataRow(bool deserializing) : base(deserializing) { }
+    protected ScatterPlotDataRow(StorableConstructorFlag _) : base(_) { }
     protected ScatterPlotDataRow(ScatterPlotDataRow original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using System.Drawing;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -30,5 +30,5 @@
   /// Visual properties of a ScatterPlotDataRow.
   /// </summary>
-  [StorableClass]
+  [StorableType("3336A12E-A464-438E-9A37-B87790AE963A")]
   public class ScatterPlotDataRowVisualProperties : DeepCloneable, INotifyPropertyChanged {
     #region PointStyle
@@ -206,5 +206,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotDataRowVisualProperties(bool deserializing) : base() { }
+    protected ScatterPlotDataRowVisualProperties(StorableConstructorFlag _) { }
     protected ScatterPlotDataRowVisualProperties(ScatterPlotDataRowVisualProperties original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ScatterPlotHistory", "Represents history values of scatter plots.")]
-  [StorableClass]
+  [StorableType("2FDE6993-8841-4E1B-BAD0-F0EAF0822C7E")]
   public class ScatterPlotHistory : ItemCollection<ScatterPlot> {
     public static new Image StaticItemImage {
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotHistory(bool deserializing) : base(deserializing) { }
+    protected ScatterPlotHistory(StorableConstructorFlag _) : base(_) { }
     protected ScatterPlotHistory(ScatterPlotHistory original, Cloner cloner) : base(original, cloner) { }
     public ScatterPlotHistory() : base() { }
Index: stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using System.Drawing;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -29,5 +29,5 @@
   /// Visual properties of a ScatterPlot.
   /// </summary>
-  [StorableClass]
+  [StorableType("55E5B5E9-DCA7-4A1B-956D-457BEF0D02D8")]
   public class ScatterPlotVisualProperties : DeepCloneable, INotifyPropertyChanged {
     private Font titleFont;
@@ -310,5 +310,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotVisualProperties(bool deserializing) : base() { }
+    protected ScatterPlotVisualProperties(StorableConstructorFlag _) { }
     protected ScatterPlotVisualProperties(ScatterPlotVisualProperties original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj
===================================================================
--- stable/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj	(revision 17097)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Analysis</RootNamespace>
     <AssemblyName>HeuristicLab.Analysis-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -109,4 +109,10 @@
       <Private>False</Private>
     </Reference>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -114,4 +120,7 @@
     </Reference>
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
@@ -124,4 +133,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="AlleleFrequencyAnalysis\Allele.cs" />
Index: stable/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("MultiAnalyzer", "An analyzer which applies arbitrary many other analyzers.")]
-  [StorableClass]
+  [StorableType("EE2A8255-3151-4F29-B5B0-D7842F9AC5C5")]
   public class MultiAnalyzer : CheckedMultiOperator<IAnalyzer>, IMultiAnalyzer {
     public override bool CanChangeName {
@@ -57,5 +57,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected MultiAnalyzer(bool deserializing) : base(deserializing) { }
+    protected MultiAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected MultiAnalyzer(MultiAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("ParetoFrontAnalyzer", "Analyzer for multiobjective problems that collects and presents the current Pareto front as double matrix as well as the solution scopes that lie on the current front.")]
-  [StorableClass]
+  [StorableType("972CEB70-3D0D-4602-97B1-B02DC7FBD9E8")]
   public abstract class ParetoFrontAnalyzer : SingleSuccessorOperator, IAnalyzer, IMultiObjectiveOperator {
     public virtual bool EnabledByDefault {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected ParetoFrontAnalyzer(bool deserializing) : base(deserializing) { }
+    protected ParetoFrontAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected ParetoFrontAnalyzer(ParetoFrontAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public ParetoFrontAnalyzer() {
Index: stable/HeuristicLab.Analysis/3.3/MultiObjective/RankBasedParetoFrontAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/MultiObjective/RankBasedParetoFrontAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/MultiObjective/RankBasedParetoFrontAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("RankBasedParetoFrontAnalyzer", "Uses the rank value that is computed by e.g. the NSGA2's fast non dominated sort operator to collect all solutions and their qualities of front 0 (the current Pareto front).")]
-  [StorableClass]
+  [StorableType("9F314FB6-6BA2-4CC8-843B-B68CF01F7BE7")]
   public class RankBasedParetoFrontAnalyzer : ParetoFrontAnalyzer {
     public IScopeTreeLookupParameter<IntValue> RankParameter {
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected RankBasedParetoFrontAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RankBasedParetoFrontAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RankBasedParetoFrontAnalyzer(RankBasedParetoFrontAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public RankBasedParetoFrontAnalyzer() {
Index: stable/HeuristicLab.Analysis/3.3/MultidimensionalScaling/MultidimensionalScaling.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/MultidimensionalScaling/MultidimensionalScaling.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/MultidimensionalScaling/MultidimensionalScaling.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/Plugin.cs.frame
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Plugin.cs.frame	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Plugin.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationDiversityAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationDiversityAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationDiversityAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -39,5 +39,5 @@
   [Obsolete]
   [Item("PopulationDiversityAnalyzer", "An operator for analyzing the solution diversity in a population.")]
-  [StorableClass]
+  [StorableType("58DAB745-C7AB-464B-8894-705E45FE0C7A")]
   public abstract class PopulationDiversityAnalyzer<T> : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator where T : class, IItem {
     public virtual bool EnabledByDefault {
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected PopulationDiversityAnalyzer(bool deserializing) : base(deserializing) { }
+    protected PopulationDiversityAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected PopulationDiversityAnalyzer(PopulationDiversityAnalyzer<T> original, Cloner cloner) : base(original, cloner) { }
     public PopulationDiversityAnalyzer()
Index: stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationSimilarityAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationSimilarityAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationSimilarityAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,5 +29,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("PopulationSimilarityAnalyzer", "An operator for analyzing the solution similarity in a population.")]
-  [StorableClass]
+  [StorableType("56A495B0-573F-421A-99E2-24D67D8DB686")]
   public class PopulationSimilarityAnalyzer : SingleSuccessorOperator, IAnalyzer, ISimilarityBasedOperator {
     private const string DiversityResultNameParameterName = "DiversityResultsName";
@@ -96,5 +96,5 @@
 
     [StorableConstructor]
-    protected PopulationSimilarityAnalyzer(bool deserializing) : base(deserializing) { }
+    protected PopulationSimilarityAnalyzer(StorableConstructorFlag _) : base(_) { }
 
     protected PopulationSimilarityAnalyzer(PopulationSimilarityAnalyzer original, Cloner cloner)
Index: stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/SingleObjectivePopulationDiversityAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/SingleObjectivePopulationDiversityAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/SingleObjectivePopulationDiversityAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
@@ -36,8 +36,8 @@
   [NonDiscoverableType]
   [Item("SingleObjectivePopulationDiversityAnalyzer", "An operator for analyzing the solution diversity in a population.")]
-  [StorableClass]
+  [StorableType("71612344-657C-4270-8A44-5D521C0118A8")]
   public class SingleObjectivePopulationDiversityAnalyzer : PopulationSimilarityAnalyzer {
     [StorableConstructor]
-    protected SingleObjectivePopulationDiversityAnalyzer(bool deserializing) : base(deserializing) { }
+    protected SingleObjectivePopulationDiversityAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected SingleObjectivePopulationDiversityAnalyzer(SingleObjectivePopulationDiversityAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: stable/HeuristicLab.Analysis/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Properties/AssemblyInfo.cs.frame	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Properties/AssemblyInfo.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("BestAverageWorstQualityAnalyzer", "An operator which analyzes the best, average and worst quality of solutions in the scope tree.")]
-  [StorableClass]
+  [StorableType("D10450C6-A822-416E-ABC0-B2703317D5C1")]
   public sealed class BestAverageWorstQualityAnalyzer : AlgorithmOperator, IAnalyzer, ISingleObjectiveOperator {
     #region Parameter properties
@@ -87,5 +87,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private BestAverageWorstQualityAnalyzer(bool deserializing) : base(deserializing) { }
+    private BestAverageWorstQualityAnalyzer(StorableConstructorFlag _) : base(_) { }
     private BestAverageWorstQualityAnalyzer(BestAverageWorstQualityAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityCalculator.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityCalculator.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityCalculator.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("BestAverageWorstQualityCalculator", "An operator which calculates the best, average and worst quality of solutions in the scope tree.")]
-  [StorableClass]
+  [StorableType("29E14C28-D4F7-4F26-9D18-61867457A693")]
   public sealed class BestAverageWorstQualityCalculator : SingleSuccessorOperator, ISingleObjectiveOperator {
     public ValueLookupParameter<BoolValue> MaximizationParameter {
@@ -53,5 +53,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private BestAverageWorstQualityCalculator(bool deserializing) : base(deserializing) { }
+    private BestAverageWorstQualityCalculator(StorableConstructorFlag _) : base(_) { }
     private BestAverageWorstQualityCalculator(BestAverageWorstQualityCalculator original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestQualityMemorizer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestQualityMemorizer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/BestQualityMemorizer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("BestQualityMemorizer", "An operator that updates the best quality found so far with those qualities contained in the scope tree.")]
-  [StorableClass]
+  [StorableType("911B6177-6696-43DB-A113-D246CD87D25A")]
   public class BestQualityMemorizer : SingleSuccessorOperator, ISingleObjectiveOperator {
     public ValueLookupParameter<BoolValue> MaximizationParameter {
@@ -47,5 +47,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected BestQualityMemorizer(bool deserializing) : base(deserializing) { }
+    protected BestQualityMemorizer(StorableConstructorFlag _) : base(_) { }
     protected BestQualityMemorizer(BestQualityMemorizer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("QualityAnalyzer", "An operator which analyzes the quality of solutions in the scope tree.")]
-  [StorableClass]
+  [StorableType("E0CC9A68-7019-418D-88AE-46BDEFA616A7")]
   public sealed class QualityAnalyzer : AlgorithmOperator, IAnalyzer, ISingleObjectiveOperator {
     #region Parameter properties
@@ -84,5 +84,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private QualityAnalyzer(bool deserializing) : base(deserializing) { }
+    private QualityAnalyzer(StorableConstructorFlag _) : base(_) { }
     private QualityAnalyzer(QualityAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDifferenceCalculator.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDifferenceCalculator.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDifferenceCalculator.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("QualityDifferenceCalculator", "An operator which calculates the absolute and relative difference of two quality values.")]
-  [StorableClass]
+  [StorableType("D40349AC-2C28-42F9-8C25-107D931E8F59")]
   public class QualityDifferenceCalculator : SingleSuccessorOperator {
     public IValueLookupParameter<DoubleValue> FirstQualityParameter {
@@ -49,5 +49,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected QualityDifferenceCalculator(bool deserializing) : base(deserializing) { }
+    protected QualityDifferenceCalculator(StorableConstructorFlag _) : base(_) { }
     protected QualityDifferenceCalculator(QualityDifferenceCalculator original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.QualityAnalysis {
   [Item("QualityDistributionAnalyzer", "Analyzes the distribution of the quality values in that it adds a Histogram of them into the result collection.")]
-  [StorableClass]
+  [StorableType("9B339DF1-A9D3-4C9C-B78C-84B764715EB8")]
   public class QualityDistributionAnalyzer : SingleSuccessorOperator, IAnalyzer, IIterationBasedOperator, ISingleObjectiveOperator {
 
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected QualityDistributionAnalyzer(bool deserializing) : base(deserializing) { }
+    protected QualityDistributionAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected QualityDistributionAnalyzer(QualityDistributionAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerClockAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerClockAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerClockAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,9 +28,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("QualityPerClockAnalyzer", @"Creates a plot of the solution quality with respect to the elapsed wall-clock time.")]
-  [StorableClass]
+  [StorableType("23410F61-AEE0-44BD-B721-2C4B33A1F4FE")]
   public class QualityPerClockAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
     public virtual bool EnabledByDefault {
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected QualityPerClockAnalyzer(bool deserializing) : base(deserializing) { }
+    protected QualityPerClockAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected QualityPerClockAnalyzer(QualityPerClockAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public QualityPerClockAnalyzer()
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerEvaluationsAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerEvaluationsAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerEvaluationsAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,9 +28,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
   [Item("QualityPerEvaluationsAnalyzer", @"Creates a plot of the solution quality with respect to the number of evaluated solutions.")]
-  [StorableClass]
+  [StorableType("51790BC2-9851-4234-93EF-DF1E092F4BF0")]
   public class QualityPerEvaluationsAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
     public virtual bool EnabledByDefault {
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    protected QualityPerEvaluationsAnalyzer(bool deserializing) : base(deserializing) { }
+    protected QualityPerEvaluationsAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected QualityPerEvaluationsAnalyzer(QualityPerEvaluationsAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public QualityPerEvaluationsAnalyzer()
Index: stable/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis.QualityAnalysis {
@@ -32,5 +32,5 @@
 The difference lies in the interval [0;1] if the range [min;max] is as large as the observed quality values, otherwise the difference will become < 0 or > 1.
 A value towards 0 always means that it's closer to the better fitness value, while a value towards 1 means that it's closer to the worse fitness value.")]
-  [StorableClass]
+  [StorableType("C0E9AE9C-06F8-4A5F-A726-6532F0E038CF")]
   public class ScaledQualityDifferenceAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
     public virtual bool EnabledByDefault {
@@ -58,5 +58,5 @@
 
     [StorableConstructor]
-    protected ScaledQualityDifferenceAnalyzer(bool deserializing) : base(deserializing) { }
+    protected ScaledQualityDifferenceAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected ScaledQualityDifferenceAnalyzer(ScaledQualityDifferenceAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public ScaledQualityDifferenceAnalyzer()
Index: stable/HeuristicLab.Analysis/3.3/Statistics/BonferroniHolm.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/BonferroniHolm.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/BonferroniHolm.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/Statistics/EnumerableStatisticsExtension.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/EnumerableStatisticsExtension.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/EnumerableStatisticsExtension.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/ExpFitting.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/ExpFitting.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/ExpFitting.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/IFitting.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/IFitting.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/IFitting.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/LinearLeastSquaresFitting.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/LinearLeastSquaresFitting.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/LinearLeastSquaresFitting.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
     public void Calculate(double[] y, double[] x, out double slope, out double intercept) {
       if (y.Count() != x.Count()) {
-        throw new ArgumentException("The lenght of x and y needs do be equal. ");
+        throw new ArgumentException("The length of x and y needs do be equal. ");
       }
 
Index: stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -41,5 +41,5 @@
     public void Calculate(double[] y, double[] x, out double p0, out double p1) {
       if (y.Count() != x.Count()) {
-        throw new ArgumentException("The lenght of x and y needs do be equal. ");
+        throw new ArgumentException("The length of x and y needs do be equal. ");
       }
 
Index: stable/HeuristicLab.Analysis/3.3/Statistics/KernelDensityEstimator.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/KernelDensityEstimator.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/KernelDensityEstimator.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/Statistics/KruskalWallisTest.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/KruskalWallisTest.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/KruskalWallisTest.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/Statistics/PairwiseTest.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/PairwiseTest.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/PairwiseTest.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/Statistics/SampleSizeDetermination.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/Statistics/SampleSizeDetermination.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/Statistics/SampleSizeDetermination.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("MinAverageMaxValueAnalyzer", "An operator which analyzes the minimum, average and maximum of a value in the scope tree.")]
-  [StorableClass]
+  [StorableType("D305BB40-F613-4DB5-8778-C0278551CAA3")]
   public sealed class MinAverageMaxValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -90,5 +90,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private MinAverageMaxValueAnalyzer(bool deserializing) : base(deserializing) { }
+    private MinAverageMaxValueAnalyzer(StorableConstructorFlag _) : base(_) { }
     private MinAverageMaxValueAnalyzer(MinAverageMaxValueAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("MinAverageMaxValueCalculator", "An operator which calculates the minimum, average and maximum of a value in the scope tree.")]
-  [StorableClass]
+  [StorableType("C10C55BB-737F-4A0A-BAB0-F3DAC28FBCB8")]
   public sealed class MinAverageMaxValueCalculator : SingleSuccessorOperator {
     public ScopeTreeLookupParameter<DoubleValue> ValueParameter {
@@ -49,5 +49,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private MinAverageMaxValueCalculator(bool deserializing) : base(deserializing) { }
+    private MinAverageMaxValueCalculator(StorableConstructorFlag _) : base(_) { }
     private MinAverageMaxValueCalculator(MinAverageMaxValueCalculator original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SingleValueAnalyzer", "An operator which analyzes a value in the scope tree (current scope and parents).")]
-  [StorableClass]
+  [StorableType("A732AA1E-A772-44A4-8DD3-9AB3E3A0C546")]
   public sealed class SingleValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -62,5 +62,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private SingleValueAnalyzer(bool deserializing) : base(deserializing) { }
+    private SingleValueAnalyzer(StorableConstructorFlag _) : base(_) { }
     private SingleValueAnalyzer(SingleValueAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 17074)
+++ stable/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("ValueAnalyzer", "An operator which analyzes a value in the scope tree (current scope and children).")]
-  [StorableClass]
+  [StorableType("A906F087-28A5-4E0B-897B-B0FD1B286ACE")]
   public sealed class ValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -63,5 +63,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private ValueAnalyzer(bool deserializing) : base(deserializing) { }
+    private ValueAnalyzer(StorableConstructorFlag _) : base(_) { }
     private ValueAnalyzer(ValueAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Analysis/3.3/packages.config
===================================================================
--- stable/HeuristicLab.Analysis/3.3/packages.config	(revision 17097)
+++ stable/HeuristicLab.Analysis/3.3/packages.config	(revision 17097)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
